Bug 693346 - [RFE] functions to manage selinux booleans
[RFE] functions to manage selinux booleans
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Petr Muller
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On: bl-journal-overhaul
Blocks: Fedora-beakerlib-1.9-3 1116317
  Show dependency treegraph
 
Reported: 2011-04-04 07:43 EDT by Karel Srot
Modified: 2016-09-19 22:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: beakerlib-1.9-3.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 987616 (view as bug list)
Environment:
Last Closed: 2014-07-30 02:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed implementation (2.21 KB, text/plain)
2011-04-04 07:43 EDT, Karel Srot
no flags Details

  None (edit)
Description Karel Srot 2011-04-04 07:43:36 EDT
Created attachment 489742 [details]
proposed implementation

Description of problem:

New functions to turn on/off and restore selinux boolean similar to rlService{Start|Stop|Restore}.

My own implementation attached. I am using a text file in $BEAKERLIB_DIR to store the original status.
Comment 1 Petr Šplíchal 2012-07-13 03:26:56 EDT
+1 to get this into BeakerLib.
Comment 2 Petr Muller 2013-07-23 14:46:57 EDT
I have augmented the code with docs, some defensiveness and also tests for the testsuite, and checked it in.

https://git.fedorahosted.org/cgit/beakerlib.git/commit/?id=ef63d60dbe3e5f162da37a883aaa835fa890b54a
Comment 3 Dalibor Pospíšil 2014-02-25 09:57:56 EST
There should be also option -P in those on/off functions so the change could be done persistently. -P should not be default as it slow down the test time while it is not always necessary.

This can be complication in restore.
Comment 4 Petr Muller 2014-02-25 11:12:52 EST
This will be reverted, as it is currently present in a better form in a Beaker library.
Comment 5 Fedora Update System 2014-06-17 09:42:38 EDT
beakerlib-1.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-1.fc20
Comment 6 Fedora Update System 2014-06-17 19:30:06 EDT
Package beakerlib-1.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7442/beakerlib-1.9-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-07-02 04:02:20 EDT
beakerlib-1.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-2.fc20
Comment 8 Dalibor Pospíšil 2014-07-04 04:50:57 EDT
Please consider the package fixing this bug available in Fedora stable repos once bz1116308 is closed and RHEL stable repos once bz1116317 is closed.

Fixed in:
beakerlib-1.9-2.fc19
beakerlib-1.9-2.fc20
beakerlib-1.9-2.fc21
beakerlib-1.9-3.el5
beakerlib-1.9-2.el6
beakerlib-1.9-2.el7
Comment 9 Fedora Update System 2014-07-17 09:16:15 EDT
beakerlib-1.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-3.fc20
Comment 10 Fedora Update System 2014-07-30 02:57:53 EDT
beakerlib-1.9-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.